From 39ee0ed36bb7646642967a09806ce3cbeb53f013 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 05 2020 17:12:29 +0000
Subject: [PATCH 545/2232] Resolve assign_op_pattern lint


---

diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index 0d952f9..bfb4a4e 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -88,8 +88,9 @@ where
     type Item = &'a T;
 
     fn next(&mut self) -> Option<Self::Item> {
-        self.index = self.index + 1;
-        self.v.get(self.index - 1)
+        let next = self.v.get(self.index);
+        self.index += 1;
+        next
     }
 }
 

